9.3. Encodage MPEG-4 deux passes ("DivX")
Précédent | Chapitre 9. Utilisation basique de MEncoder | Suivant

## 9.3. Encodage MPEG-4 deux passes ("DivX")

Le nom vient du fait que cette méthode encode le fichier deux fois. Le premier encodage (du mode deux passes) crée quelques fichiers temporaires (`*.log`) avec une taille de quelques méga-octets, ne les détruisez pas tout de suite (vous pouvez effacer l'AVI ou rediriger le flux vidéo vers `/dev/null`). Lors de la seconde passe, le fichier de sortie est créé, en utilisant les données bitrate des fichiers temporaires. Le fichier résultant aura une image de bien meilleure qualité. Si c'est la première fois que vous entendez parler de ça, vous devriez consulter les guides disponibles sur Internet.

Exemple 9.2. Copie de la piste audio

Encodage deux passes du second chapitre d'un DVD vers de l'AVI MPEG-4 ("DivX") avec la simple copie de la piste audio.

    mencoder dvd://2 -ovc lavc -lavcopts vcodec=mpeg4:vpass=1 -oac copy -o
    sortie.avi
    mencoder dvd://2 -ovc lavc -lavcopts vcodec=mpeg4:mbd=2:trell:vpass=2 \
      -oac copy -o sortie.avi

Exemple 9.3. Encodage de la piste audio

Encodage deux passes d'un DVD en AVI MPEG-4 ("DivX") avec la conversion de la piste audio en MP3. Soyez prudent en utilisant cette méthode car elle peut mener, dans certains cas, à des désynchronisation audio/vidéo.

    mencoder dvd://2 -ovc lavc -lavcopts vcodec=mpeg4:vpass=1 \
      -oac mp3lame -lameopts vbr=3 -o /dev/null
    mencoder dvd://2 -ovc lavc -lavcopts vcodec=mpeg4:mbd=2:trell:vpass=2 \
      -oac mp3lame -lameopts vbr=3 -o sortie.avi

Précédent | Niveau supérieur | Suivant
9.2. Sélection d'un fichier d'entrée ou un périphérique | Sommaire | 9.4. Encodage au format vidéo Sony PSP